# pandas.DataFrame.dropna

`DataFrame.``dropna`(axis=0, how='any', thresh=None, subset=None, inplace=False)

  Return object with labels on given axis omitted where alternately any or all of the data are missing

  Parameters:

  axis : {0 or ‘index’, 1 or ‘columns’}, or tuple/list thereof

  > Pass tuple or list to drop on multiple axes

  how : {‘any’, ‘all’}

  > - any : if any NA values are present, drop that label
  > - all : if all values are NA, drop that label

  thresh : int, default None

  > int value : require that many non-NA values

  subset : array-like

  > Labels along other axis to consider, e.g. if you are dropping rows these would be a list of columns to include

  inplace : boolean, default False

  > If True, do operation inplace and return None.

  Returns: | dropped : DataFrame